---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# Proxy configuration values based on ansible runner environment
proxy_ftp: "{{ lookup('env', 'ftp_proxy') |
  default(lookup('env', 'FTP_PROXY'), true) }}"
proxy_http: "{{ lookup('env', 'http_proxy') |
  default(lookup('env', 'HTTP_PROXY'), true) }}"
proxy_https: "{{ lookup('env', 'https_proxy') |
  default(lookup('env', 'HTTPS_PROXY'), true) }}"
proxy_none: "{{ lookup('env', 'no_proxy') |
  default(lookup('env', 'NO_PROXY'), true) }}"
